Subject: bug#23976: 24.3; remote files not saved/restored to desktop-save

From: Eli Zaretskii <[email-masked]>
Date: Thu, 14 Jul 2016 18:23:00 +0300

> From: ken <[email-masked]>
> Date: Wed, 13 Jul 2016 21:19:29 -0400
> Cc: [email-masked]
> 
> On 07/13/2016 04:31 PM, Glenn Morris wrote:
> > ken wrote:
> >
> > [desktop does not restore remote files]
> >
> > By design. Customize desktop-files-not-to-save (before saving desktop)
> > to change this.
> >
> 
> Went to that Customize Option, set it to None.  Saved for both session 
> and future.
> 
> Did M-x desktop-save (answered directory prompt: ~/,emacs.d).
> 
> None of the currently opened files were listed in ~/,emacs.d/.emacs.desktop

If you did that in Emacs 24.3, the result is expected, as setting
desktop-files-not-to-save to nil (a.k.a. "None") was known to be
broken there.  Emacs 24.4 fixed that.  In Emacs 24.3, set the variable
to some pattern that will never match any of your files, then I think
it will work for you.